com.google.appengine.tools.development.testing

## Class LocalCapabilitiesServiceTestConfig

- java.lang.Object
- - com.google.appengine.tools.development.testing.LocalCapabilitiesServiceTestConfig

- All Implemented Interfaces:
    LocalServiceTestConfig

      public class LocalCapabilitiesServiceTestConfig
      extends java.lang.Object
      implements LocalServiceTestConfig

  Config for accessing the local capabilities service in tests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalCapabilitiesServiceTestConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalCapabilitiesService` | `getLocalCapabilitiesService()`
    `LocalCapabilitiesServiceTestConfig` | `setCapabilityStatus(com.google.appengine.api.capabilities.Capability capability, com.google.appengine.api.capabilities.CapabilityStatus status)` Controls the state of a capability in testing mode.
    `void` | `setUp()` Set up the local service.
    `void` | `tearDown()` Tear down the local service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalCapabilitiesServiceTestConfig

          public LocalCapabilitiesServiceTestConfig()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Description copied from interface: `LocalServiceTestConfig`
      Set up the local service.
      Specified by:
        `setUp` in interface `LocalServiceTestConfig`

    - #### tearDown

          public void tearDown()

      Description copied from interface: `LocalServiceTestConfig`
      Tear down the local service.
      Specified by:
        `tearDown` in interface `LocalServiceTestConfig`

    - #### setCapabilityStatus

          public LocalCapabilitiesServiceTestConfig setCapabilityStatus(com.google.appengine.api.capabilities.Capability capability,
                                                                        com.google.appengine.api.capabilities.CapabilityStatus status)

      Controls the state of a capability in testing mode.
      Parameters:
        `capability` - the `Capability` to change the status of
        `status` - the to set for the given Capability
      Returns:
        `this` (for chaining)

    - #### getLocalCapabilitiesService

          public static LocalCapabilitiesService getLocalCapabilitiesService()